diff -ur -x '*.log' -x '*.diff' -x '*.zip*' -x '*.tar.gz*' -x '*.tar.xz*' -x RELEASE -x PACKAGES -x '*REBUILD*' -x .release /home/openttd/public_html/ogfx-rv/nightlies/r162/log/ogfx-rv.nfo /home/openttd/public_html/ogfx-rv/nightlies/REBUILD/r162/log/ogfx-rv.nfo
--- /home/openttd/public_html/ogfx-rv/nightlies/r162/log/ogfx-rv.nfo	
+++ /home/openttd/public_html/ogfx-rv/nightlies/REBUILD/r162/log/ogfx-rv.nfo	
@@ -4668,148 +4682,148 @@
 13 23 
 14 30 
 
-2256 * 26 04 01 7F 01 FF \wx005C "Dash Flatbed Truck" 00 
+2259 * 26 04 01 7F 01 FF \wx005C "Dash Flatbed Truck" 00 
 
-2257 * 27 04 01 02 01 FF \wx005C "Dash Pritschenwagen" 00 
+2260 * 27 04 01 02 01 FF \wx005C "Dash Pritschenwagen" 00 
 
-2258 * 32 04 01 03 01 FF \wx005C "ÞCamion à plateau Dash" 00 
+2261 * 32 04 01 03 01 FF \wx005C "ÞCamion à plateau Dash" 00 
 
-2259 * 36 04 01 04 01 FF \wx005C "ÞCamión de Plataforma Dash" 00 
+2262 * 36 04 01 04 01 FF \wx005C "ÞCamión de Plataforma Dash" 00 
 
-2260 * 50 04 01 07 01 FF \wx005C "ÞГрузовик платформа Dash" 00 
+2263 * 50 04 01 07 01 FF \wx005C "ÞГрузовик платформа Dash" 00 
 
-2261 * 27 04 01 1F 01 FF \wx005C "Dash Semi-dieplader" 00 
+2264 * 27 04 01 1F 01 FF \wx005C "Dash Semi-dieplader" 00 
 
-2262 * 32 04 01 24 01 FF \wx005C "ÞDash síkágyas kamion" 00 
+2265 * 32 04 01 24 01 FF \wx005C "ÞDash síkágyas kamion" 00 
 
-2263 * 36 04 01 2B 01 FF \wx005C "ÞDash Bortinis Sunkvežimis" 00 
+2266 * 36 04 01 2B 01 FF \wx005C "ÞDash Bortinis Sunkvežimis" 00 
 
-2264 * 9 00 01 \b1 01 FF \wx005C 
+2267 * 9 00 01 \b1 01 FF \wx005C 
 17 48 
 
 // Name: @action3_12
-2265 * 23 02 01 EC 89 
+2268 * 23 02 01 E8 89 
 10 00 \dx000000FF 
 \b1 
-\wx00F0 \dx0000000F \dx0000000F 	// flatbed_truck_2_capacity_switch;
-\wx00F8 // flatbed_truck_2_sprites_switch;
+\wx00F2 \dx0000000F \dx0000000F 	// flatbed_truck_2_capacity_switch;
+\wx00F3 // flatbed_truck_2_sprites_switch;
 
 // Name: @action3_13
-2266 * 23 02 01 01 89 
+2269 * 23 02 01 00 89 
 10 00 \dx000000FF 
 \b1 
-\wx00F0 \dx0000000F \dx0000000F 	// flatbed_truck_2_capacity_switch;
-\wx00F8 // flatbed_truck_2_sprites_switch;
+\wx00F2 \dx0000000F \dx0000000F 	// flatbed_truck_2_capacity_switch;
+\wx00F3 // flatbed_truck_2_sprites_switch;
 
 // Name: @action3_14
-2267 * 63 02 01 F8 89 
+2270 * 63 02 01 F3 89 
 0C 00 \dx0000FFFF 
 \b5 
-\wx00E5 \dx00000001 \dx00000001 	// flatbed_cb_colour_switch;
-\wx00F0 \dx00000015 \dx00000015 	// flatbed_truck_2_capacity_switch;
-\wx00E5 \dx0000002D \dx0000002D 	// flatbed_cb_colour_switch;
-\wx00EC \dx00000036 \dx00000036 	// @action3_12;
+\wx00FF \dx00000001 \dx00000001 	// flatbed_cb_colour_switch;
+\wx00F2 \dx00000015 \dx00000015 	// flatbed_truck_2_capacity_switch;
+\wx00FF \dx0000002D \dx0000002D 	// flatbed_cb_colour_switch;
+\wx00E8 \dx00000036 \dx00000036 	// @action3_12;
 \wx00FB \dx0000015E \dx0000015E 	// flatbed_refit_cost_switch;
-\wx00F8 // flatbed_truck_2_sprites_switch;
+\wx00F3 // flatbed_truck_2_sprites_switch;
 
-2268 * 9 03 01 01 FF \wx005C \b0 
-\wx00F8 	// @action3_14;
+2271 * 9 03 01 01 FF \wx005C \b0 
+\wx00F3 	// @action3_14;
 
 // Name: flatbed_truck_3_paper - feature 01
-2269 * 13 02 01 F8 \b2 \b2 
+2272 * 13 02 01 F3 \b2 \b2 
 \w169 \w170 
 \w169 \w170 
 
 // Name: flatbed_truck_3_steel - feature 01
-2270 * 13 02 01 EC \b2 \b2 
+2273 * 13 02 01 E8 \b2 \b2 
 \w171 \w172 
 \w171 \w172 
 
 // Name: flatbed_truck_3_wood - feature 01
-2271 * 13 02 01 F0 \b2 \b2 
+2274 * 13 02 01 F2 \b2 \b2 
 \w173 \w174 
 \w173 \w174 
 
 // Name: flatbed_truck_3_copper - feature 01
-2272 * 13 02 01 F9 \b2 \b2 
+2275 * 13 02 01 F4 \b2 \b2 
 \w175 \w176 
 \w175 \w176 
 
 // Name: flatbed_truck_3_goods - feature 01
-2273 * 13 02 01 F4 \b2 \b2 
+2276 * 13 02 01 EC \b2 \b2 
 \w177 \w178 
 \w177 \w178 
 
 // Name: flatbed_truck_3_petrol - feature 01
-2274 * 13 02 01 F1 \b2 \b2 
+2277 * 13 02 01 F5 \b2 \b2 
 \w179 \w180 
 \w179 \w180 
 
 // Name: flatbed_truck_3_lumber - feature 01
-2275 * 13 02 01 F3 \b2 \b2 
+2278 * 13 02 01 F1 \b2 \b2 
 \w181 \w182 
 \w181 \w182 
 
 // Name: flatbed_truck_3_chemicals - feature 01
-2276 * 13 02 01 EE \b2 \b2 
+2279 * 13 02 01 EF \b2 \b2 
 \w183 \w184 
 \w183 \w184 
 
 // Name: flatbed_truck_3_plastics - feature 01
-2277 * 13 02 01 F7 \b2 \b2 
+2280 * 13 02 01 F8 \b2 \b2 
 \w185 \w186 
 \w185 \w186 
 
 // Name: flatbed_truck_3_farm_supplies - feature 01
-2278 * 13 02 01 F2 \b2 \b2 
+2281 * 13 02 01 F7 \b2 \b2 
 \w187 \w188 
 \w187 \w188 
 
 // Name: flatbed_truck_3_engineering_supplies_1 - feature 01
-2279 * 13 02 01 F5 \b2 \b2 
+2282 * 13 02 01 F9 \b2 \b2 
 \w189 \w190 
 \w189 \w190 
 
 // Name: flatbed_truck_3_engineering_supplies_2 - feature 01
-2280 * 13 02 01 EF \b2 \b2 
+2283 * 13 02 01 F0 \b2 \b2 
 \w191 \w192 
 \w191 \w192 
 
 // Name: flatbed_truck_3_engineering_supplies_3 - feature 01
-2281 * 13 02 01 E8 \b2 \b2 
+2284 * 13 02 01 E5 \b2 \b2 
 \w193 \w194 
 \w193 \w194 
 
 // Name: flatbed_truck_3_ensp_switch
-2282 * 15 02 01 E8 80 01 \b0 04 
-\wx00F5 \wx00F5 // (1/3) -> (2/4): flatbed_truck_3_engineering_supplies_1;
-\wx00EF // (1/3) -> (1/4): flatbed_truck_3_engineering_supplies_2;
-\wx00E8 // (1/3) -> (1/4): flatbed_truck_3_engineering_supplies_3;
+2285 * 15 02 01 E5 80 01 \b0 04 
+\wx00F9 \wx00F9 // (1/3) -> (2/4): flatbed_truck_3_engineering_supplies_1;
+\wx00F0 // (1/3) -> (1/4): flatbed_truck_3_engineering_supplies_2;
+\wx00E5 // (1/3) -> (1/4): flatbed_truck_3_engineering_supplies_3;
 
 // Name: flatbed_truck_3_sprites_switch
-2283 * 173 02 01 F4 89 
+2286 * 173 02 01 EC 89 
 47 00 \dx000000FF 
 \b16 
 \wx00F6 \dx0000002D \dx0000002D 	// 45 .. 45: flatbed_truck_batteries;
 \wx00FD \dx00000009 \dx00000009 	// 9 .. 9: flatbed_truck_bubbles;
 \wx00E6 \dx0000000B \dx0000000B 	// 11 .. 11: flatbed_truck_fizzy_drinks;
-\wx00F8 \dx00000027 \dx00000027 	// 39 .. 39: flatbed_truck_3_paper;
+\wx00F3 \dx00000027 \dx00000027 	// 39 .. 39: flatbed_truck_3_paper;
 \wx00E7 \dx00000033 \dx00000033 	// 51 .. 51: flatbed_truck_plastic;
-\wx00EC \dx00000005 \dx00000005 	// 5 .. 5: flatbed_truck_3_steel;
-\wx00F9 \dx00000035 \dx00000035 	// 53 .. 53: flatbed_truck_3_copper;
-\wx00F0 \dx00000003 \dx00000003 	// 3 .. 3: flatbed_truck_3_wood;
-\wx00F0 \dx00000047 \dx00000047 	// 71 .. 71: flatbed_truck_3_wood;
-\wx00F1 \dx00000012 \dx00000012 	// 18 .. 18: flatbed_truck_3_petrol;
-\wx00F3 \dx00000000 \dx00000000 	// 0 .. 0: flatbed_truck_3_lumber;
-\wx00EE \dx00000011 \dx00000011 	// 17 .. 17: flatbed_truck_3_chemicals;
-\wx00F7 \dx0000002A \dx0000002A 	// 42 .. 42: flatbed_truck_3_plastics;
-\wx00F2 \dx0000002F \dx0000002F 	// 47 .. 47: flatbed_truck_3_farm_supplies;
-\wx00F2 \dx00000006 \dx00000006 	// 6 .. 6: flatbed_truck_3_farm_supplies;
-\wx00E8 \dx00000030 \dx00000030 	// 48 .. 48: flatbed_truck_3_ensp_switch;
-\wx00F4 // default: flatbed_truck_3_goods;
+\wx00E8 \dx00000005 \dx00000005 	// 5 .. 5: flatbed_truck_3_steel;
+\wx00F4 \dx00000035 \dx00000035 	// 53 .. 53: flatbed_truck_3_copper;
+\wx00F2 \dx00000003 \dx00000003 	// 3 .. 3: flatbed_truck_3_wood;
+\wx00F2 \dx00000047 \dx00000047 	// 71 .. 71: flatbed_truck_3_wood;
+\wx00F5 \dx00000012 \dx00000012 	// 18 .. 18: flatbed_truck_3_petrol;
+\wx00F1 \dx00000000 \dx00000000 	// 0 .. 0: flatbed_truck_3_lumber;
+\wx00EF \dx00000011 \dx00000011 	// 17 .. 17: flatbed_truck_3_chemicals;
+\wx00F8 \dx0000002A \dx0000002A 	// 42 .. 42: flatbed_truck_3_plastics;
+\wx00F7 \dx0000002F \dx0000002F 	// 47 .. 47: flatbed_truck_3_farm_supplies;
+\wx00F7 \dx00000006 \dx00000006 	// 6 .. 6: flatbed_truck_3_farm_supplies;
+\wx00E5 \dx00000030 \dx00000030 	// 48 .. 48: flatbed_truck_3_ensp_switch;
+\wx00EC // default: flatbed_truck_3_goods;
 
 // Name: flatbed_truck_3_capacity_switch
-2284 * 153 02 01 E8 89 
+2287 * 153 02 01 E5 89 
 47 00 \dx000000FF 
 \b14 
 \wx8016 \dx0000002D \dx0000002D 	// 45 .. 45: return 22;
@@ -4829,38 +4843,38 @@
 \wx8018 // default: return 24;
 
 // param[64] = 0
-2285 * 9 0D 40 \D= FF 00 \dx00000000 
+2288 * 9 0D 40 \D= FF 00 \dx00000000 
 
 // param[65] = 0
-2286 * 9 0D 41 \D= FF 00 \dx00000000 
+2289 * 9 0D 41 \D= FF 00 \dx00000000 
 
-2287 * 6 09 04 01 \70 00 01 
+2290 * 6 09 04 01 \70 00 01 
 
 // param[65] = 1
-2288 * 9 0D 41 \D= FF 00 \dx00000001 
+2291 * 9 0D 41 \D= FF 00 \dx00000001 
 
-2289 * 9 09 41 04 \7= \dx00000000 01 
+2292 * 9 09 41 04 \7= \dx00000000 01 
 
 // param[64] = 15
-2290 * 9 0D 40 \D= FF 00 \dx0000000F 
+2293 * 9 0D 40 \D= FF 00 \dx0000000F 
 
 // param[65] = 16
-2291 * 9 0D 41 \D= FF 00 \dx00000010 
+2294 * 9 0D 41 \D= FF 00 \dx00000010 
 
 // param[66] = (param[131] & 255)
-2292 * 9 0D 42 \D& 83 FF \dx000000FF 
+2295 * 9 0D 42 \D& 83 FF \dx000000FF 
 
-2293 * 9 09 42 04 \7! \dx00000003 01 
+2296 * 9 09 42 04 \7! \dx00000003 01 
 
 // param[65] = 18
-2294 * 9 0D 41 \D= FF 00 \dx00000012 
+2297 * 9 0D 41 \D= FF 00 \dx00000012 
 
-2295 * 12 06 
+2298 * 12 06 
 40 01 FF \wx0075 
 41 01 FF \wx0077 
 FF 
 
-2296 * 130 00 01 \b21 01 FF \wx005D 
+2299 * 130 00 01 \b21 01 FF \wx005D 
 1F \dx000B3527 
 0F 18 
 1D \wx0024 
@@ -4893,88 +4907,88 @@
 13 42 
 14 46 
 
-2297 * 30 04 01 7F 01 FF \wx005D "Schwartz Flatbed Truck" 00 
+2300 * 30 04 01 7F 01 FF \wx005D "Schwartz Flatbed Truck" 00 
 
-2298 * 31 04 01 02 01 FF \wx005D "Schwartz Pritschenwagen" 00 
+2301 * 31 04 01 02 01 FF \wx005D "Schwartz Pritschenwagen" 00 
 
-2299 * 36 04 01 03 01 FF \wx005D "ÞCamion à plateau Schwartz" 00 
+2302 * 36 04 01 03 01 FF \wx005D "ÞCamion à plateau Schwartz" 00 
 
-2300 * 40 04 01 04 01 FF \wx005D "ÞCamión de Plataforma Schwartz" 00 
+2303 * 40 04 01 04 01 FF \wx005D "ÞCamión de Plataforma Schwartz" 00 
 
-2301 * 54 04 01 07 01 FF \wx005D "ÞГрузовик платформа Schwartz" 00 
+2304 * 54 04 01 07 01 FF \wx005D "ÞГрузовик платформа Schwartz" 00 
 
-2302 * 31 04 01 1F 01 FF \wx005D "Schwartz Semi-dieplader" 00 
+2305 * 31 04 01 1F 01 FF \wx005D "Schwartz Semi-dieplader" 00 
 
-2303 * 36 04 01 24 01 FF \wx005D "ÞSchwartz síkágyas kamion" 00 
+2306 * 36 04 01 24 01 FF \wx005D "ÞSchwartz síkágyas kamion" 00 
 
-2304 * 40 04 01 2B 01 FF \wx005D "ÞSchwartz Bortinis Sunkvežimis" 00 
+2307 * 40 04 01 2B 01 FF \wx005D "ÞSchwartz Bortinis Sunkvežimis" 00 
 
-2305 * 9 00 01 \b1 01 FF \wx005D 
+2308 * 9 00 01 \b1 01 FF \wx005D 
 17 48 
 
 // Name: @action3_15
-2306 * 23 02 01 F2 89 
+2309 * 23 02 01 F7 89 
 10 00 \dx000000FF 
 \b1 
-\wx00E8 \dx0000000F \dx0000000F 	// flatbed_truck_3_capacity_switch;
-\wx00F4 // flatbed_truck_3_sprites_switch;
+\wx00E5 \dx0000000F \dx0000000F 	// flatbed_truck_3_capacity_switch;
+\wx00EC // flatbed_truck_3_sprites_switch;
 
 // Name: @action3_16
-2307 * 23 02 01 01 89 
+2310 * 23 02 01 00 89 
 10 00 \dx000000FF 
 \b1 
-\wx00E8 \dx0000000F \dx0000000F 	// flatbed_truck_3_capacity_switch;
-\wx00F4 // flatbed_truck_3_sprites_switch;
+\wx00E5 \dx0000000F \dx0000000F 	// flatbed_truck_3_capacity_switch;
+\wx00EC // flatbed_truck_3_sprites_switch;
 
 // Name: @action3_17
-2308 * 63 02 01 F4 89 
+2311 * 63 02 01 EC 89 
 0C 00 \dx0000FFFF 
 \b5 
-\wx00E5 \dx00000001 \dx00000001 	// flatbed_cb_colour_switch;
-\wx00E8 \dx00000015 \dx00000015 	// flatbed_truck_3_capacity_switch;
-\wx00E5 \dx0000002D \dx0000002D 	// flatbed_cb_colour_switch;
-\wx00F2 \dx00000036 \dx00000036 	// @action3_15;
+\wx00FF \dx00000001 \dx00000001 	// flatbed_cb_colour_switch;
+\wx00E5 \dx00000015 \dx00000015 	// flatbed_truck_3_capacity_switch;
+\wx00FF \dx0000002D \dx0000002D 	// flatbed_cb_colour_switch;
+\wx00F7 \dx00000036 \dx00000036 	// @action3_15;
 \wx00FB \dx0000015E \dx0000015E 	// flatbed_refit_cost_switch;
-\wx00F4 // flatbed_truck_3_sprites_switch;
+\wx00EC // flatbed_truck_3_sprites_switch;
 
-2309 * 9 03 01 01 FF \wx005D \b0 
-\wx00F4 	// @action3_17;
+2312 * 9 03 01 01 FF \wx005D \b0 
+\wx00EC 	// @action3_17;
 
 // Name: piece_goods_sweets - feature 01
-2310 * 9 02 01 F4 \b1 \b1 
+2313 * 9 02 01 EC \b1 \b1 
 \w195 
 \w195 
 
 // Name: piece_goods_toys - feature 01
-2311 * 9 02 01 FB \b1 \b1 
+2314 * 9 02 01 FB \b1 \b1 
 \w196 
 \w196 
 
 // Name: piece_goods_truck_1_goods - feature 01
-2312 * 9 02 01 F2 \b1 \b1 
+2315 * 9 02 01 F7 \b1 \b1 
 \w197 
 \w197 
 
 // Name: piece_goods_truck_1_food - feature 01
-2313 * 9 02 01 E5 \b1 \b1 
+2316 * 9 02 01 FF \b1 \b1 
 \w198 
 \w198 
 
 // Name: piece_goods_truck_1_sprites_switch
-2314 * 83 02 01 F2 89 
+2317 * 83 02 01 F7 89 
 47 00 \dx000000FF 
 \b7 
 \wx00FB \dx0000002D \dx0000002D 	// 45 .. 45: piece_goods_toys;
-\wx00E5 \dx0000000E \dx0000000E 	// 14 .. 14: piece_goods_truck_1_food;
-\wx00E5 \dx0000000C \dx0000000C 	// 12 .. 12: piece_goods_truck_1_food;
-\wx00E5 \dx0000000D \dx0000000D 	// 13 .. 13: piece_goods_truck_1_food;
-\wx00F4 \dx0000000B \dx0000000B 	// 11 .. 11: piece_goods_sweets;
-\wx00F4 \dx0000002E \dx0000002E 	// 46 .. 46: piece_goods_sweets;
+\wx00FF \dx0000000E \dx0000000E 	// 14 .. 14: piece_goods_truck_1_food;
+\wx00FF \dx0000000C \dx0000000C 	// 12 .. 12: piece_goods_truck_1_food;
+\wx00FF \dx0000000D \dx0000000D 	// 13 .. 13: piece_goods_truck_1_food;
+\wx00EC \dx0000000B \dx0000000B 	// 11 .. 11: piece_goods_sweets;
+\wx00EC \dx0000002E \dx0000002E 	// 46 .. 46: piece_goods_sweets;
 \wx00FB \dx0000000A \dx0000000A 	// 10 .. 10: piece_goods_toys;
-\wx00F2 // default: piece_goods_truck_1_goods;
+\wx00F7 // default: piece_goods_truck_1_goods;
 
 // Name: piece_goods_truck_1_capacity_switch
-2315 * 103 02 01 E5 89 
+2318 * 103 02 01 FF 89 
 47 00 \dx000000FF 
 \b9 
 \wx8011 \dx0000002D \dx0000002D 	// 45 .. 45: return 17;
@@ -4989,38 +5003,38 @@
 \wx800E // default: return 14;
 
 // param[64] = 0
-2316 * 9 0D 40 \D= FF 00 \dx00000000 
+2319 * 9 0D 40 \D= FF 00 \dx00000000 
 
 // param[65] = 0
-2317 * 9 0D 41 \D= FF 00 \dx00000000 
+2320 * 9 0D 41 \D= FF 00 \dx00000000 
 
-2318 * 6 09 04 01 \70 00 01 
+2321 * 6 09 04 01 \70 00 01 
 
 // param[65] = 1
-2319 * 9 0D 41 \D= FF 00 \dx00000001 
+2322 * 9 0D 41 \D= FF 00 \dx00000001 
 
-2320 * 9 09 41 04 \7= \dx00000000 01 
+2323 * 9 09 41 04 \7= \dx00000000 01 
 
 // param[64] = 15
-2321 * 9 0D 40 \D= FF 00 \dx0000000F 
+2324 * 9 0D 40 \D= FF 00 \dx0000000F 
 
 // param[65] = 16
-2322 * 9 0D 41 \D= FF 00 \dx00000010 
+2325 * 9 0D 41 \D= FF 00 \dx00000010 
 
 // param[66] = (param[131] & 255)
-2323 * 9 0D 42 \D& 83 FF \dx000000FF 
+2326 * 9 0D 42 \D& 83 FF \dx000000FF 
 
-2324 * 9 09 42 04 \7! \dx00000003 01 
+2327 * 9 09 42 04 \7! \dx00000003 01 
 
 // param[65] = 18
-2325 * 9 0D 41 \D= FF 00 \dx00000012 
+2328 * 9 0D 41 \D= FF 00 \dx00000012 
 
-2326 * 12 06 
+2329 * 12 06 
 40 01 FF \wx0075 
 41 01 FF \wx0077 
 FF 
 
-2327 * 130 00 01 \b21 01 FF \wx005E 
+2330 * 130 00 01 \b21 01 FF \wx005E 
 1F \dx000ABD4E 
 0F 0E 
 1D \wx0024 
@@ -5053,76 +5067,76 @@
 13 12 
 14 26 
 
-2328 * 29 04 01 7F 01 FF \wx005E "MPS Piece Goods Truck" 00 
+2331 * 29 04 01 7F 01 FF \wx005E "MPS Piece Goods Truck" 00 
 
-2329 * 27 04 01 02 01 FF \wx005E "ÞMPS Stückgut-LKW" 00 
+2332 * 27 04 01 02 01 FF \wx005E "ÞMPS Stückgut-LKW" 00 
 
-2330 * 31 04 01 03 01 FF \wx005E "ÞCamion de détail MPS" 00 
+2333 * 31 04 01 03 01 FF \wx005E "ÞCamion de détail MPS" 00 
 
-2331 * 36 04 01 04 01 FF \wx005E "ÞCamión de Mercancías MPS" 00 
+2334 * 36 04 01 04 01 FF \wx005E "ÞCamión de Mercancías MPS" 00 
 
-2332 * 26 04 01 07 01 FF \wx005E "ÞФургон MPS" 00 
+2335 * 26 04 01 07 01 FF \wx005E "ÞФургон MPS" 00 
 
-2333 * 26 04 01 1F 01 FF \wx005E "MPS Gesloten Wagen" 00 
+2336 * 26 04 01 1F 01 FF \wx005E "MPS Gesloten Wagen" 00 
 
-2334 * 18 04 01 24 01 FF \wx005E "MPS furgon" 00 
+2337 * 18 04 01 24 01 FF \wx005E "MPS furgon" 00 
 
-2335 * 35 04 01 2B 01 FF \wx005E "ÞMPS Prekinis Sunkvežimis" 00 
+2338 * 35 04 01 2B 01 FF \wx005E "ÞMPS Prekinis Sunkvežimis" 00 
 
-2336 * 9 00 01 \b1 01 FF \wx005E 
+2339 * 9 00 01 \b1 01 FF \wx005E 
 17 08 
 
 // Name: @action3_18
-2337 * 23 02 01 E8 89 
+2340 * 23 02 01 E5 89 
 10 00 \dx000000FF 
 \b1 
-\wx00E5 \dx0000000F \dx0000000F 	// piece_goods_truck_1_capacity_switch;
-\wx00F2 // piece_goods_truck_1_sprites_switch;
+\wx00FF \dx0000000F \dx0000000F 	// piece_goods_truck_1_capacity_switch;
+\wx00F7 // piece_goods_truck_1_sprites_switch;
 
 // Name: @action3_19
-2338 * 23 02 01 01 89 
+2341 * 23 02 01 00 89 
 10 00 \dx000000FF 
 \b1 
-\wx00E5 \dx0000000F \dx0000000F 	// piece_goods_truck_1_capacity_switch;
-\wx00F2 // piece_goods_truck_1_sprites_switch;
+\wx00FF \dx0000000F \dx0000000F 	// piece_goods_truck_1_capacity_switch;
+\wx00F7 // piece_goods_truck_1_sprites_switch;
 
 // Name: @action3_20
-2339 * 43 02 01 F2 89 
+2342 * 43 02 01 F7 89 
 0C 00 \dx0000FFFF 
 \b3 
-\wx00E5 \dx00000015 \dx00000015 	// piece_goods_truck_1_capacity_switch;
-\wx00E8 \dx00000036 \dx00000036 	// @action3_18;
+\wx00FF \dx00000015 \dx00000015 	// piece_goods_truck_1_capacity_switch;
+\wx00E5 \dx00000036 \dx00000036 	// @action3_18;
 \wx00FC \dx0000015E \dx0000015E 	// piecegoods_refit_cost_switch;
-\wx00F2 // piece_goods_truck_1_sprites_switch;
+\wx00F7 // piece_goods_truck_1_sprites_switch;
 
-2340 * 9 03 01 01 FF \wx005E \b0 
-\wx00F2 	// @action3_20;
+2343 * 9 03 01 01 FF \wx005E \b0 
+\wx00F7 	// @action3_20;
 
 // Name: piece_goods_truck_2_goods - feature 01
-2341 * 9 02 01 F2 \b1 \b1 
+2344 * 9 02 01 F7 \b1 \b1 
 \w199 
 \w199 
 
 // Name: piece_goods_truck_2_food - feature 01
-2342 * 9 02 01 E8 \b1 \b1 
+2345 * 9 02 01 E5 \b1 \b1 
 \w200 
 \w200 
 
 // Name: piece_goods_truck_2_sprites_switch
-2343 * 83 02 01 F2 89 
+2346 * 83 02 01 F7 89 
 47 00 \dx000000FF 
 \b7 
 \wx00FB \dx0000002D \dx0000002D 	// 45 .. 45: piece_goods_toys;
-\wx00E8 \dx0000000E \dx0000000E 	// 14 .. 14: piece_goods_truck_2_food;
-\wx00E8 \dx0000000C \dx0000000C 	// 12 .. 12: piece_goods_truck_2_food;
-\wx00E8 \dx0000000D \dx0000000D 	// 13 .. 13: piece_goods_truck_2_food;
-\wx00F4 \dx0000000B \dx0000000B 	// 11 .. 11: piece_goods_sweets;
-\wx00F4 \dx0000002E \dx0000002E 	// 46 .. 46: piece_goods_sweets;
+\wx00E5 \dx0000000E \dx0000000E 	// 14 .. 14: piece_goods_truck_2_food;
+\wx00E5 \dx0000000C \dx0000000C 	// 12 .. 12: piece_goods_truck_2_food;
+\wx00E5 \dx0000000D \dx0000000D 	// 13 .. 13: piece_goods_truck_2_food;
+\wx00EC \dx0000000B \dx0000000B 	// 11 .. 11: piece_goods_sweets;
+\wx00EC \dx0000002E \dx0000002E 	// 46 .. 46: piece_goods_sweets;
 \wx00FB \dx0000000A \dx0000000A 	// 10 .. 10: piece_goods_toys;
-\wx00F2 // default: piece_goods_truck_2_goods;
+\wx00F7 // default: piece_goods_truck_2_goods;
 
 // Name: piece_goods_truck_2_capacity_switch
-2344 * 103 02 01 E8 89 
+2347 * 103 02 01 E5 89 
 47 00 \dx000000FF 
 \b9 
 \wx8013 \dx0000002D \dx0000002D 	// 45 .. 45: return 19;
@@ -5137,38 +5151,38 @@
 \wx8010 // default: return 16;
 
 // param[64] = 0
-2345 * 9 0D 40 \D= FF 00 \dx00000000 
+2348 * 9 0D 40 \D= FF 00 \dx00000000 
 
 // param[65] = 0
-2346 * 9 0D 41 \D= FF 00 \dx00000000 
+2349 * 9 0D 41 \D= FF 00 \dx00000000 
 
-2347 * 6 09 04 01 \70 00 01 
+2350 * 6 09 04 01 \70 00 01 
 
 // param[65] = 1
-2348 * 9 0D 41 \D= FF 00 \dx00000001 
+2351 * 9 0D 41 \D= FF 00 \dx00000001 
 
-2349 * 9 09 41 04 \7= \dx00000000 01 
+2352 * 9 09 41 04 \7= \dx00000000 01 
 
 // param[64] = 15
-2350 * 9 0D 40 \D= FF 00 \dx0000000F 
+2353 * 9 0D 40 \D= FF 00 \dx0000000F 
 
 // param[65] = 16
-2351 * 9 0D 41 \D= FF 00 \dx00000010 
+2354 * 9 0D 41 \D= FF 00 \dx00000010 
 
 // param[66] = (param[131] & 255)
-2352 * 9 0D 42 \D& 83 FF \dx000000FF 
+2355 * 9 0D 42 \D& 83 FF \dx000000FF 
 
-2353 * 9 09 42 04 \7! \dx00000003 01 
+2356 * 9 09 42 04 \7! \dx00000003 01 
 
 // param[65] = 18
-2354 * 9 0D 41 \D= FF 00 \dx00000012 
+2357 * 9 0D 41 \D= FF 00 \dx00000012 
 
-2355 * 12 06 
+2358 * 12 06 
 40 01 FF \wx0075 
 41 01 FF \wx0077 
 FF 
 
-2356 * 130 00 01 \b21 01 FF \wx005F 
+2359 * 130 00 01 \b21 01 FF \wx005F 
 1F \dx000AFD82 
 0F 10 
 1D \wx0024 
@@ -5201,76 +5215,76 @@
 13 23 
 14 30 
 
-2357 * 33 04 01 7F 01 FF \wx005F "Laverty Piece Goods Truck" 00 
+2360 * 33 04 01 7F 01 FF \wx005F "Laverty Piece Goods Truck" 00 
 
-2358 * 31 04 01 02 01 FF \wx005F "ÞLaverty Stückgut-LKW" 00 
+2361 * 31 04 01 02 01 FF \wx005F "ÞLaverty Stückgut-LKW" 00 
 
-2359 * 35 04 01 03 01 FF \wx005F "ÞCamion de détail Laverty" 00 
+2362 * 35 04 01 03 01 FF \wx005F "ÞCamion de détail Laverty" 00 
 
-2360 * 40 04 01 04 01 FF \wx005F "ÞCamión de Mercancías Laverty" 00 
+2363 * 40 04 01 04 01 FF \wx005F "ÞCamión de Mercancías Laverty" 00 
 
-2361 * 30 04 01 07 01 FF \wx005F "ÞФургон Laverty" 00 
+2364 * 30 04 01 07 01 FF \wx005F "ÞФургон Laverty" 00 
 
-2362 * 30 04 01 1F 01 FF \wx005F "Laverty Gesloten Wagen" 00 
+2365 * 30 04 01 1F 01 FF \wx005F "Laverty Gesloten Wagen" 00 
 
-2363 * 22 04 01 24 01 FF \wx005F "Laverty furgon" 00 
+2366 * 22 04 01 24 01 FF \wx005F "Laverty furgon" 00 
 
-2364 * 39 04 01 2B 01 FF \wx005F "ÞLaverty Prekinis Sunkvežimis" 00 
+2367 * 39 04 01 2B 01 FF \wx005F "ÞLaverty Prekinis Sunkvežimis" 00 
 
-2365 * 9 00 01 \b1 01 FF \wx005F 
+2368 * 9 00 01 \b1 01 FF \wx005F 
 17 08 
 
 // Name: @action3_21
-2366 * 23 02 01 E5 89 
+2369 * 23 02 01 FF 89 
 10 00 \dx000000FF 
 \b1 
-\wx00E8 \dx0000000F \dx0000000F 	// piece_goods_truck_2_capacity_switch;
-\wx00F2 // piece_goods_truck_2_sprites_switch;
+\wx00E5 \dx0000000F \dx0000000F 	// piece_goods_truck_2_capacity_switch;
+\wx00F7 // piece_goods_truck_2_sprites_switch;
 
 // Name: @action3_22
-2367 * 23 02 01 01 89 
+2370 * 23 02 01 00 89 
 10 00 \dx000000FF 
 \b1 
-\wx00E8 \dx0000000F \dx0000000F 	// piece_goods_truck_2_capacity_switch;
-\wx00F2 // piece_goods_truck_2_sprites_switch;
+\wx00E5 \dx0000000F \dx0000000F 	// piece_goods_truck_2_capacity_switch;
+\wx00F7 // piece_goods_truck_2_sprites_switch;
 
 // Name: @action3_23
-2368 * 43 02 01 F2 89 
+2371 * 43 02 01 F7 89 
 0C 00 \dx0000FFFF 
 \b3 
-\wx00E8 \dx00000015 \dx00000015 	// piece_goods_truck_2_capacity_switch;
-\wx00E5 \dx00000036 \dx00000036 	// @action3_21;
+\wx00E5 \dx00000015 \dx00000015 	// piece_goods_truck_2_capacity_switch;
+\wx00FF \dx00000036 \dx00000036 	// @action3_21;
 \wx00FC \dx0000015E \dx0000015E 	// piecegoods_refit_cost_switch;
-\wx00F2 // piece_goods_truck_2_sprites_switch;
+\wx00F7 // piece_goods_truck_2_sprites_switch;
 
-2369 * 9 03 01 01 FF \wx005F \b0 
-\wx00F2 	// @action3_23;
+2372 * 9 03 01 01 FF \wx005F \b0 
+\wx00F7 	// @action3_23;
 
 // Name: piece_goods_truck_3_goods - feature 01
-2370 * 9 02 01 F2 \b1 \b1 
+2373 * 9 02 01 F7 \b1 \b1 
 \w201 
 \w201 
 
 // Name: piece_goods_truck_3_food - feature 01
-2371 * 9 02 01 E5 \b1 \b1 
+2374 * 9 02 01 FF \b1 \b1 
 \w202 
 \w202 
 
 // Name: piece_goods_truck_3_sprites_switch
-2372 * 83 02 01 F2 89 
+2375 * 83 02 01 F7 89 
 47 00 \dx000000FF 
 \b7 
 \wx00FB \dx0000002D \dx0000002D 	// 45 .. 45: piece_goods_toys;
-\wx00E5 \dx0000000E \dx0000000E 	// 14 .. 14: piece_goods_truck_3_food;
-\wx00E5 \dx0000000C \dx0000000C 	// 12 .. 12: piece_goods_truck_3_food;
-\wx00E5 \dx0000000D \dx0000000D 	// 13 .. 13: piece_goods_truck_3_food;
-\wx00F4 \dx0000000B \dx0000000B 	// 11 .. 11: piece_goods_sweets;
-\wx00F4 \dx0000002E \dx0000002E 	// 46 .. 46: piece_goods_sweets;
+\wx00FF \dx0000000E \dx0000000E 	// 14 .. 14: piece_goods_truck_3_food;
+\wx00FF \dx0000000C \dx0000000C 	// 12 .. 12: piece_goods_truck_3_food;
+\wx00FF \dx0000000D \dx0000000D 	// 13 .. 13: piece_goods_truck_3_food;
+\wx00EC \dx0000000B \dx0000000B 	// 11 .. 11: piece_goods_sweets;
+\wx00EC \dx0000002E \dx0000002E 	// 46 .. 46: piece_goods_sweets;
 \wx00FB \dx0000000A \dx0000000A 	// 10 .. 10: piece_goods_toys;
-\wx00F2 // default: piece_goods_truck_3_goods;
+\wx00F7 // default: piece_goods_truck_3_goods;
 
 // Name: piece_goods_truck_3_capacity_switch
-2373 * 103 02 01 FB 89 
+2376 * 103 02 01 FB 89 
 47 00 \dx000000FF 
 \b9 
 \wx8016 \dx0000002D \dx0000002D 	// 45 .. 45: return 22;
@@ -5285,38 +5299,38 @@
 \wx8012 // default: return 18;
 
 // param[64] = 0
-2374 * 9 0D 40 \D= FF 00 \dx00000000 
+2377 * 9 0D 40 \D= FF 00 \dx00000000 
 
 // param[65] = 0
-2375 * 9 0D 41 \D= FF 00 \dx00000000 
+2378 * 9 0D 41 \D= FF 00 \dx00000000 
 
-2376 * 6 09 04 01 \70 00 01 
+2379 * 6 09 04 01 \70 00 01 
 
 // param[65] = 1
-2377 * 9 0D 41 \D= FF 00 \dx00000001 
+2380 * 9 0D 41 \D= FF 00 \dx00000001 
 
-2378 * 9 09 41 04 \7= \dx00000000 01 
+2381 * 9 09 41 04 \7= \dx00000000 01 
 
 // param[64] = 15
-2379 * 9 0D 40 \D= FF 00 \dx0000000F 
+2382 * 9 0D 40 \D= FF 00 \dx0000000F 
 
 // param[65] = 16
-2380 * 9 0D 41 \D= FF 00 \dx00000010 
+2383 * 9 0D 41 \D= FF 00 \dx00000010 
 
 // param[66] = (param[131] & 255)
-2381 * 9 0D 42 \D& 83 FF \dx000000FF 
+2384 * 9 0D 42 \D& 83 FF \dx000000FF 
 
-2382 * 9 09 42 04 \7! \dx00000003 01 
+2385 * 9 09 42 04 \7! \dx00000003 01 
 
 // param[65] = 18
-2383 * 9 0D 41 \D= FF 00 \dx00000012 
+2386 * 9 0D 41 \D= FF 00 \dx00000012 
 
-2384 * 12 06 
+2387 * 12 06 
 40 01 FF \wx0075 
 41 01 FF \wx0077 
 FF 
 
-2385 * 130 00 01 \b21 01 FF \wx0060 
+2388 * 130 00 01 \b21 01 FF \wx0060 
 1F \dx000B3694 
 0F 12 
 1D \wx0024 
@@ -5349,85 +5363,85 @@
 13 42 
 14 46 
 
-2386 * 29 04 01 7F 01 FF \wx0060 "APC Piece Goods Truck" 00 
+2389 * 29 04 01 7F 01 FF \wx0060 "APC Piece Goods Truck" 00 
 
-2387 * 27 04 01 02 01 FF \wx0060 "ÞAPC Stückgut-LKW" 00 
+2390 * 27 04 01 02 01 FF \wx0060 "ÞAPC Stückgut-LKW" 00 
 
-2388 * 31 04 01 03 01 FF \wx0060 "ÞCamion de détail APC" 00 
+2391 * 31 04 01 03 01 FF \wx0060 "ÞCamion de détail APC" 00 
 
-2389 * 36 04 01 04 01 FF \wx0060 "ÞCamión de Mercancías APC" 00 
+2392 * 36 04 01 04 01 FF \wx0060 "ÞCamión de Mercancías APC" 00 
 
-2390 * 26 04 01 07 01 FF \wx0060 "ÞФургон APC" 00 
+2393 * 26 04 01 07 01 FF \wx0060 "ÞФургон APC" 00 
 
-2391 * 26 04 01 1F 01 FF \wx0060 "APC Gesloten Wagen" 00 
+2394 * 26 04 01 1F 01 FF \wx0060 "APC Gesloten Wagen" 00 
 
-2392 * 18 04 01 24 01 FF \wx0060 "APC furgon" 00 
+2395 * 18 04 01 24 01 FF \wx0060 "APC furgon" 00 
 
-2393 * 35 04 01 2B 01 FF \wx0060 "ÞAPC Prekinis Sunkvežimis" 00 
+2396 * 35 04 01 2B 01 FF \wx0060 "ÞAPC Prekinis Sunkvežimis" 00 
 
-2394 * 9 00 01 \b1 01 FF \wx0060 
+2397 * 9 00 01 \b1 01 FF \wx0060 
 17 08 
 
 // Name: @action3_24
-2395 * 23 02 01 F4 89 
+2398 * 23 02 01 EC 89 
 10 00 \dx000000FF 
 \b1 
 \wx00FB \dx0000000F \dx0000000F 	// piece_goods_truck_3_capacity_switch;
-\wx00F2 // piece_goods_truck_3_sprites_switch;
+\wx00F7 // piece_goods_truck_3_sprites_switch;
 
 // Name: @action3_25
-2396 * 23 02 01 01 89 
+2399 * 23 02 01 00 89 
 10 00 \dx000000FF 
 \b1 
 \wx00FB \dx0000000F \dx0000000F 	// piece_goods_truck_3_capacity_switch;
-\wx00F2 // piece_goods_truck_3_sprites_switch;
+\wx00F7 // piece_goods_truck_3_sprites_switch;
 
 // Name: @action3_26
-2397 * 43 02 01 F2 89 
+2400 * 43 02 01 F7 89 
 0C 00 \dx0000FFFF 
 \b3 
 \wx00FB \dx00000015 \dx00000015 	// piece_goods_truck_3_capacity_switch;
-\wx00F4 \dx00000036 \dx00000036 	// @action3_24;
+\wx00EC \dx00000036 \dx00000036 	// @action3_24;
 \wx00FC \dx0000015E \dx0000015E 	// piecegoods_refit_cost_switch;
-\wx00F2 // piece_goods_truck_3_sprites_switch;
+\wx00F7 // piece_goods_truck_3_sprites_switch;
 
-2398 * 9 03 01 01 FF \wx0060 \b0 
-\wx00F2 	// @action3_26;
+2401 * 9 03 01 01 FF \wx0060 \b0 
+\wx00F7 	// @action3_26;
 
 // Name: tank_truck_cola - feature 01
-2399 * 13 02 01 F2 \b2 \b2 
+2402 * 13 02 01 F7 \b2 \b2 
 \w203 \w204 
 \w203 \w204 
 
 // Name: tank_truck_1_chemicals - feature 01
-2400 * 9 02 01 FC \b1 \b1 
+2403 * 9 02 01 FC \b1 \b1 
 \w205 
 \w205 
 
 // Name: tank_truck_1_oil - feature 01
-2401 * 9 02 01 F4 \b1 \b1 
+2404 * 9 02 01 EC \b1 \b1 
 \w206 
 \w206 
 
 // Name: tank_truck_1_water - feature 01
-2402 * 9 02 01 FB \b1 \b1 
+2405 * 9 02 01 FB \b1 \b1 
 \w207 
 \w207 
 
 // Name: tank_truck_1_sprites_switch
-2403 * 73 02 01 F4 89 
+2406 * 73 02 01 EC 89 
 47 00 \dx000000FF 
 \b6 
-\wx00F2 \dx00000025 \dx00000025 	// 37 .. 37: tank_truck_cola;
-\wx00F2 \dx0000000B \dx0000000B 	// 11 .. 11: tank_truck_cola;
+\wx00F7 \dx00000025 \dx00000025 	// 37 .. 37: tank_truck_cola;
+\wx00F7 \dx0000000B \dx0000000B 	// 11 .. 11: tank_truck_cola;
 \wx00FB \dx00000016 \dx00000016 	// 22 .. 22: tank_truck_1_water;
-\wx00F2 \dx00000033 \dx00000033 	// 51 .. 51: tank_truck_cola;
+\wx00F7 \dx00000033 \dx00000033 	// 51 .. 51: tank_truck_cola;
 \wx00FB \dx00000015 \dx00000015 	// 21 .. 21: tank_truck_1_water;
 \wx00FC \dx00000011 \dx00000011 	// 17 .. 17: tank_truck_1_chemicals;
-\wx00F4 // default: tank_truck_1_oil;
+\wx00EC // default: tank_truck_1_oil;
 
 // Name: tank_truck_1_capacity_switch
-2404 * 33 02 01 FC 89 
+2407 * 33 02 01 FC 89 
 47 00 \dx000000FF 
 \b2 
 \wx8011 \dx00000025 \dx00000025 	// 37 .. 37: return 17;
@@ -5435,38 +5449,38 @@
 \wx8015 // default: return 21;
 
 // param[64] = 0
-2405 * 9 0D 40 \D= FF 00 \dx00000000 
+2408 * 9 0D 40 \D= FF 00 \dx00000000 
 
 // param[65] = 0
-2406 * 9 0D 41 \D= FF 00 \dx00000000 
+2409 * 9 0D 41 \D= FF 00 \dx00000000 
 
-2407 * 6 09 04 01 \70 00 01 
+2410 * 6 09 04 01 \70 00 01 
 
 // param[65] = 1
-2408 * 9 0D 41 \D= FF 00 \dx00000001 
+2411 * 9 0D 41 \D= FF 00 \dx00000001 
 
-2409 * 9 09 41 04 \7= \dx00000000 01 
+2412 * 9 09 41 04 \7= \dx00000000 01 
 
 // param[64] = 15
-2410 * 9 0D 40 \D= FF 00 \dx0000000F 
+2413 * 9 0D 40 \D= FF 00 \dx0000000F 
 
 // param[65] = 16
-2411 * 9 0D 41 \D= FF 00 \dx00000010 
+2414 * 9 0D 41 \D= FF 00 \dx00000010 
 
 // param[66] = (param[131] & 255)
-2412 * 9 0D 42 \D& 83 FF \dx000000FF 
+2415 * 9 0D 42 \D& 83 FF \dx000000FF 
 
-2413 * 9 09 42 04 \7! \dx00000003 01 
+2416 * 9 09 42 04 \7! \dx00000003 01 
 
 // param[65] = 18
-2414 * 9 0D 41 \D= FF 00 \dx00000012 
+2417 * 9 0D 41 \D= FF 00 \dx00000012 
 
-2415 * 12 06 
+2418 * 12 06 
 40 01 FF \wx0075 
 41 01 FF \wx0077 
 FF 
 
-2416 * 130 00 01 \b21 01 FF \wx0061 
+2419 * 130 00 01 \b21 01 FF \wx0061 
 1F \dx000AC196 
 0F 15 
 1D \wx0040 
